using System;
using System.Collections;
using System.Runtime.Serialization;
using System.ComponentModel;
using System.Collections.Generic;

namespace RDH.Data.Models
{
	[Serializable]
	[DataContract]
	public partial class DispensingDevice : BaseModel
    {
        #region Fields
        private Guid _key;
        private string _devicename;
        private string _devicecode;
        private Guid? _createby;
        private string _desc;
        private bool? _enabelflag;
        private Guid? _operationroomkey;
        private bool? _flag;
        private DateTime? _clienttime;
        private DateTime? _servertime;
        private string _ext01;
        private string _ext02;
        private string _ext03;
        private string _ext04;
        private string _ext05;
        private string _ext06;
        private string _ext07;
        private string _ext08;
        private string _ext09;
        private string _ext10;
        private Guid? _lastkey;
        private string _nodeid;
        private Section _sectionInfo; 
        #endregion

        #region Public Properties

        [DataMember]
        public virtual Guid Key
        {
            get { return _key; }
            set 
            {
                _key = value;
                OnPropertyChanged("Key");
            }
        }
        [DataMember]
        public virtual string DeviceName
        {
            get { return _devicename; }
            set 
            {
                _devicename = value;
                OnPropertyChanged("DeviceName");
            }
        }
        [DataMember]
        public virtual string DeviceCode
        {
            get { return _devicecode; }
            set 
            {
                _devicecode = value;
                OnPropertyChanged("DeviceCode");
            }
        }
        [DataMember]
        public virtual Guid? CreateBy
        {
            get { return _createby; }
            set 
            {
                _createby = value;
                OnPropertyChanged("CreateBy");
            }
        }
        [DataMember]
        public virtual string Description
        {
            get { return _desc; }
            set 
            {
                _desc = value;
                OnPropertyChanged("Description");
            }
        }
        [DataMember]
        public virtual bool? EnabelFlag
        {
            get { return _enabelflag; }
            set 
            {
                _enabelflag = value;
                OnPropertyChanged("EnabelFlag");
            }
        }
        [DataMember]
        public virtual Guid? OperationRoomKey
        {
            get { return _operationroomkey; }
            set 
            {
                _operationroomkey = value;
                OnPropertyChanged("OperationRoomKey");
            }
        }
        [DataMember]
        public virtual bool? Flag
        {
            get { return _flag; }
            set 
            {
                _flag = value;
                OnPropertyChanged("Flag");
            }
        }
        [DataMember]
        public virtual DateTime? ClientTime
        {
            get { return _clienttime; }
            set 
            {
                _clienttime = value;
                OnPropertyChanged("ClientTime");
            }
        }
        [DataMember]
        public virtual DateTime? ServerTime
        {
            get { return _servertime; }
            set 
            {
                _servertime = value;
                OnPropertyChanged("ServerTime");
            }
        }
        /// <summary>
        /// 获取或设置设备类型
        /// </summary>
        [DataMember]
        public virtual string Ext01
        {
            get { return _ext01; }
            set 
            {
                _ext01 = value;
                OnPropertyChanged("Ext01");
            }
        }
        [DataMember]
        public virtual string Ext02
        {
            get { return _ext02; }
            set 
            {
                _ext02 = value;
                OnPropertyChanged("Ext02");
            }
        }
        [DataMember]
        public virtual string Ext03
        {
            get { return _ext03; }
            set 
            {
                _ext03 = value;
                OnPropertyChanged("Ext03");
            }
        }
        [DataMember]
        public virtual string Ext04
        {
            get { return _ext04; }
            set 
            {
                _ext04 = value;
                OnPropertyChanged("Ext04");
            }
        }
        [DataMember]
        public virtual string Ext05
        {
            get { return _ext05; }
            set 
            {
                _ext05 = value;
                OnPropertyChanged("Ext05");
            }
        }
        [DataMember]
        public virtual string Ext06
        {
            get { return _ext06; }
            set 
            {
                _ext06 = value;
                OnPropertyChanged("Ext06");
            }
        }
        [DataMember]
        public virtual string Ext07
        {
            get { return _ext07; }
            set 
            {
                _ext07 = value;
                OnPropertyChanged("Ext07");
            }
        }
        [DataMember]
        public virtual string Ext08
        {
            get { return _ext08; }
            set 
            {
                _ext08 = value;
                OnPropertyChanged("Ext08");
            }
        }
        [DataMember]
        public virtual string Ext09
        {
            get { return _ext09; }
            set 
            {
                _ext09 = value;
                OnPropertyChanged("Ext09");
            }
        }
        [DataMember]
        public virtual string Ext10
        {
            get { return _ext10; }
            set 
            {
                _ext10 = value;
                OnPropertyChanged("Ext10");
            }
        }
        [DataMember]
        public virtual Guid? LastKey
        {
            get { return _lastkey; }
            set 
            {
                _lastkey = value;
                OnPropertyChanged("LastKey");
            }
        }
        [DataMember]
        public virtual string NodeId
        {
            get { return _nodeid; }
            set 
            {
                _nodeid = value;
                OnPropertyChanged("NodeId");
            }
        }
        [DataMember]
        public Section SectionInfo
        {
            get { return _sectionInfo; }
            set 
            {
                _sectionInfo = value;
                OnPropertyChanged("OperationRoom");
            }
        }
		#endregion 
        public override string ToString()
        {
            return String.Format("{0}, Section：{1}", _devicename, _sectionInfo == null ? "NULL" : _sectionInfo.SectionName);
        }
	}
	
}